%define name 	bluez-utils
%define version 2.7
%define release 4mdk

Name: 		%{name}
Summary: 	Official Bluetooth utilities for linux.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	flex bison kernel-source
BuildRequires:	bluez-devel >= 2.7
Requires:	python
PreReq:		rpm-helper
Provides:	bluez-sdp
Obsoletes:	bluez-sdp
Provides:	bluez-pan
Obsoletes:	bluez-pan

%description
These are the official Bluetooth utilities for Linux.

%prep
%setup -q
perl -p -i -e 's|/sbin/hciattach|/usr/sbin/hciattach||g' pcmcia/bluetooth
# ask for pin interactively
perl -p -i -e 's|security auto|security user||g' hcid/hcid.conf

%build
%configure2_5x
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall confdir=$RPM_BUILD_ROOT/etc/bluetooth

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/default/bluetooth
%config(noreplace) %{_sysconfdir}/init.d/bluetooth
%config(noreplace) %{_sysconfdir}/pcmcia/*
%{_sbindir}/*
%{_mandir}/man*/*

%changelog
* Sun Jun 13 2004 Austin Acton <austin@mandrake.org> 2.7-4mdk
- use GTK popup for pin rather than local file (James Gregory)

* Sat May 22 2004 Austin Acton <austin@mandrake.org> 2.7-3mdk
- fix prefixes (Reinout van Schouwen)

* Sun May 16 2004 Austin Acton <austin@mandrake.org> 2.7-2mdk
- remove chkconfig macros

* Thu May 13 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- obsoletes bluez-pan
- configure 2.5

* Sat May  1 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Osoletes bluez-sdp

* Fri Apr 30 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

* Thu Feb 12 2004 Nicolas Planel <nplanel@mandrake.org> 2.4-4mdk
- fix bluepin (fredl).

* Mon Jan 26 2004 Austin Acton <austin@mandrake.org> 2.4-3mdk
- fix file locations

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 2.4-2mdk
- really add clean macro
- I am dumb

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 2.4-1mdk
- 2.4
- add clean macro

* Mon Apr 21 2003 Austin Acton <aacton@yorku.ca> 2.3-2mdk
- make rpmlint happier (add init.d macros)
- fix references to /sbin

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 2.3-1mdk
- 2.3

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 2.2-1mdk
- initial package
